ALTER TABLE `customer`
    ADD COLUMN `birth_year` INT(4) NULL DEFAULT '0' AFTER `admin`,
    ADD COLUMN `weight` INT(3) NULL DEFAULT '0' AFTER `birth_year`,
    ADD COLUMN `goal` CHAR(20) NULL DEFAULT '' AFTER `weight`,
    ADD COLUMN `fitness_level` ENUM('beginner','intermediate', 'advanced', 'professional') NOT NULL DEFAULT 'beginner' COLLATE 'utf8_hungarian_ci' after `goal`,
    ADD COLUMN `body_type` ENUM('ectomorph','mesomorph', 'endomorph') NULL  COLLATE 'utf8_hungarian_ci' after `fitness_level`;

ALTER TABLE `exercises`
	CHANGE COLUMN `quantity` `quantity` DOUBLE NULL DEFAULT NULL AFTER `date_add`,
	CHANGE COLUMN `unit_quantity` `unit_quantity` DOUBLE NULL DEFAULT NULL AFTER `unit`;

UPDATE configuration set config_value = "1.0.4" WHERE config_key = "db_version";