package com.aitrainer.api.repository

import com.aitrainer.api.model.CustomerTrainingPlanExercise
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface CustomerTrainingPlanExerciseRepository: JpaRepository<CustomerTrainingPlanExercise, Long> {
    fun findAllByCustomerId(customerId: Long): List<CustomerTrainingPlanExercise>
}